summaryrefslogtreecommitdiff
path: root/tests/mkdir/selinux
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-03-29 19:02:18 +0100
committerJim Meyering <meyering@redhat.com>2008-03-29 22:43:46 +0100
commit72e962c97e30fa8a9146d90fa36098137ce0ee0f (patch)
tree90a54e633db71642a999135304924768192e0061 /tests/mkdir/selinux
parent0ec483f365aaaa28eb748f1909720175cd5dc12c (diff)
downloadcoreutils-72e962c97e30fa8a9146d90fa36098137ce0ee0f.tar.xz
avoid failure of new test on kernel without SELinux support
* tests/mkdir/selinux: Also accept ENOENT. Reported by Sven Joachim. Signed-off-by: Jim Meyering <meyering@redhat.com>
Diffstat (limited to 'tests/mkdir/selinux')
-rwxr-xr-xtests/mkdir/selinux7
1 files changed, 5 insertions, 2 deletions
diff --git a/tests/mkdir/selinux b/tests/mkdir/selinux
index c0fc201af..f8aeace26 100755
--- a/tests/mkdir/selinux
+++ b/tests/mkdir/selinux
@@ -37,8 +37,11 @@ for cmd_w_arg in 'mkdir dir' 'mknod b p' 'mkfifo f'; do
set $cmd_w_arg; cmd=$1
echo "$cmd: $msg" > exp || fail=1
- # Some systems fail with ENOTSUP, some with EINVAL.
- sed 's/ Invalid argument$//;s/ Operation not supported$//' out > k || fail=1
+ # Some systems fail with ENOTSUP, or EINVAL, or even ENOENT.
+ sed \
+ -e 's/ Invalid argument$//' \
+ -e 's/ Operation not supported$//' \
+ -e 's/ No such file or directory$//' out > k || fail=1
mv k out || fail=1
compare out exp || fail=1
done